<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="5dp"
    android:layout_alignParentBottom="true"
    android:fitsSystemWindows="true"
    tools:context="MetadataActivity">

    <TextView
        android:id="@+id/textView0"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Title:"
        app:layout_constraintEnd_toEndOf="@+id/barrier2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/title"
        app:layout_constraintBottom_toBottomOf="@id/title"/>

    <EditText
        android:id="@+id/title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:inputType="text"
        android:selectAllOnFocus="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/barrier2"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@id/author"/>

    <TextView
        android:id="@+id/textView1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Author email:"
        app:layout_constraintBottom_toBottomOf="@+id/author"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/barrier2"
        app:layout_constraintTop_toTopOf="@+id/author" />

    <EditText
        android:id="@+id/author"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:autofillHints="author email"
        android:inputType="text"
        android:selectAllOnFocus="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/barrier2"
        app:layout_constraintTop_toBottomOf="@id/title"
        app:layout_constraintBottom_toTopOf="@id/feature_image"/>


    <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Feature Image:"
        app:layout_constraintBottom_toBottomOf="@+id/feature_image"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/barrier2"
        app:layout_constraintTop_toTopOf="@+id/feature_image" />

    <EditText
        android:id="@+id/feature_image"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:autofillHints="drop img URL"
        android:inputType="text"
        android:selectAllOnFocus="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/barrier2"
        app:layout_constraintTop_toBottomOf="@id/author"
        app:layout_constraintBottom_toTopOf="@id/url"/>

    <TextView
        android:id="@+id/textView3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="URL:"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@id/barrier2"
        app:layout_constraintTop_toTopOf="@id/url"
        app:layout_constraintBottom_toBottomOf="@id/url" />

    <TextView
        android:id="@+id/url"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:autoLink="web"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/barrier2"
        app:layout_constraintTop_toBottomOf="@id/feature_image"
        app:layout_constraintBottom_toTopOf="@id/login"/>

    <Button
        android:id="@+id/login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:onClick="onButtonSaveClick"
        android:text="Save"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/url" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="right"
        app:constraint_referenced_ids="textView0,textView1,textView2,textView3" />


</androidx.constraintlayout.widget.ConstraintLayout>